- hosts:
    - gitlab
    - gitlab-pages
    - gitlab-runner
    - salsa-webhook
    - docker-registry
  tasks:
    - import_role:
        name: home
      tags: home

- hosts: gitlab
  tasks:
    - import_role:
        name: gitaly
      tags: gitaly
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"

- hosts: gitlab
  tasks:
    - import_role:
        name: gitlab-shell
      tags: gitlab-shell
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"

- hosts: gitlab
  tasks:
    - import_role:
        name: gitlab
      tags: gitlab
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"

- hosts: gitlab
  tasks:
    - import_role:
        name: gitlab-workhorse
      tags: gitlab-workhorse
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        GOPATH: "{{ ansible_user_dir }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"

- hosts: gitlab-pages
  tasks:
    - import_role:
        name: gitlab-pages
      tags: gitlab-pages
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        GOPATH: "{{ ansible_user_dir }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"

- hosts: gitlab
  tasks:
    - import_role:
        name: ldapsync
      tags: ldapsync
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"

- hosts: salsa-webhook
  tasks:
    - import_role:
        name: salsa-webhook
      tags: salsa-webhook
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"

- hosts: docker-registry
  tasks:
    - import_role:
        name: docker-registry
      tags: docker-registry
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        GOPATH: "{{ ansible_user_dir }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_gid }}"

- hosts: gitlab-runner
  tasks:
    - import_role:
        name: gitlab-runner
      tags: gitlab-runner
      environment:
        PATH: "{{ ansible_user_dir }}/bin:{{ ansible_env.PATH }}"
        GOPATH: "{{ ansible_user_dir }}"
        XDG_RUNTIME_DIR: "/run/user/{{ ansible_user_uid }}"
